# @package _global_

policy:
  name: flow
  trainer: policy

  action_horizon: 8
  pred_horizon: 16
  obs_horizon: 1

  observer:
    name: resnet18
    tokenize: false

  flow_matcher:
    name: target
    sigma: 0.0
    num_sampling_steps: 6

  flow_net:
    name: flow_transformer
    block_type: adaln # adaln, or cross, or cross_adaln
    hidden_dim: 512
    num_layers: 4
    num_heads: 8
    mlp_ratio: 4
    dropout: 0.1
